<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: Boundary Values</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Boundary Values<br>
<small>
[<a class="el" href="group__Edma3ResMgrIntObjMaint.html">Object Maintenance</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMIntBoundVals.html#g24993f4530d360b4a11fe086b240ae5d">EDMA3_RM_DMA_CH_MAX_VAL</a>&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH - 1u)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMIntBoundVals.html#g45b446acc59ea6ca20286ffa236e04a7">EDMA3_RM_LINK_CH_MIN_VAL</a>&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMIntBoundVals.html#gf2cd795a543616ad8d9f4850c5d72ac2">EDMA3_RM_LINK_CH_MAX_VAL</a>&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS - 1u)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMIntBoundVals.html#g0618595d31a9646bb5035c91daa1a09a">EDMA3_RM_QDMA_CH_MIN_VAL</a>&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMIntBoundVals.html#gfae3b6b39b38b3efb2a094aba6154c91">EDMA3_RM_QDMA_CH_MAX_VAL</a>&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS + EDMA3_MAX_QDMA_CH - 1u)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3RMIntBoundVals.html#g2b3db9a8bf2349d5c5e1451b2ec79ddb">EDMA3_RM_LOG_CH_MAX_VAL</a>&nbsp;&nbsp;&nbsp;(EDMA3_RM_QDMA_CH_MAX_VAL)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Boundary Values for Logical Channel Ranges <hr><h2>Define Documentation</h2>
<a class="anchor" name="g24993f4530d360b4a11fe086b240ae5d"></a><!-- doxytag: member="edma3resmgr.h::EDMA3_RM_DMA_CH_MAX_VAL" ref="g24993f4530d360b4a11fe086b240ae5d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_DMA_CH_MAX_VAL&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH - 1u)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Max of DMA Channels 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>.</p>

</div>
</div><p>
<a class="anchor" name="gf2cd795a543616ad8d9f4850c5d72ac2"></a><!-- doxytag: member="edma3resmgr.h::EDMA3_RM_LINK_CH_MAX_VAL" ref="gf2cd795a543616ad8d9f4850c5d72ac2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_LINK_CH_MAX_VAL&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS - 1u)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Max of Link Channels 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g45b446acc59ea6ca20286ffa236e04a7"></a><!-- doxytag: member="edma3resmgr.h::EDMA3_RM_LINK_CH_MIN_VAL" ref="g45b446acc59ea6ca20286ffa236e04a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_LINK_CH_MIN_VAL&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Min of Link Channels 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>.</p>

</div>
</div><p>
<a class="anchor" name="g2b3db9a8bf2349d5c5e1451b2ec79ddb"></a><!-- doxytag: member="edma3resmgr.h::EDMA3_RM_LOG_CH_MAX_VAL" ref="g2b3db9a8bf2349d5c5e1451b2ec79ddb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_LOG_CH_MAX_VAL&nbsp;&nbsp;&nbsp;(EDMA3_RM_QDMA_CH_MAX_VAL)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Max of Logical Channels 
</div>
</div><p>
<a class="anchor" name="gfae3b6b39b38b3efb2a094aba6154c91"></a><!-- doxytag: member="edma3resmgr.h::EDMA3_RM_QDMA_CH_MAX_VAL" ref="gfae3b6b39b38b3efb2a094aba6154c91" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_QDMA_CH_MAX_VAL&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS + EDMA3_MAX_QDMA_CH - 1u)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Max of QDMA Channels 
</div>
</div><p>
<a class="anchor" name="g0618595d31a9646bb5035c91daa1a09a"></a><!-- doxytag: member="edma3resmgr.h::EDMA3_RM_QDMA_CH_MIN_VAL" ref="g0618595d31a9646bb5035c91daa1a09a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EDMA3_RM_QDMA_CH_MIN_VAL&nbsp;&nbsp;&nbsp;(EDMA3_MAX_DMA_CH + EDMA3_MAX_PARAM_SETS)          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Min of QDMA Channels 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>.</p>

</div>
</div><p>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
